.TH "mca_btl_base_endpoint_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_base_endpoint_t \- An abstraction that represents a connection to a endpoint process.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_gm_endpoint.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "\fBmca_btl_gm_module_t\fP * \fBendpoint_btl\fP"
.br
.RI "\fIBTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_btl_gm_proc_t\fP * \fBendpoint_proc\fP"
.br
.RI "\fIproc structure corresponding to endpoint \fP"
.ti -1c
.RI "\fBmca_btl_gm_addr_t\fP \fBendpoint_addr\fP"
.br
.ti -1c
.RI "\fBmca_btl_llc_module_t\fP * \fBendpoint_btl\fP"
.br
.RI "\fIBTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_btl_llc_proc_t\fP * \fBendpoint_proc\fP"
.br
.RI "\fIproc structure corresponding to endpoint \fP"
.ti -1c
.RI "\fBmca_btl_llc_addr_t\fP * \fBendpoint_addr\fP"
.br
.RI "\fIaddress of endpoint \fP"
.ti -1c
.RI "int \fBendpoint_sd\fP"
.br
.RI "\fIsocket connection to endpoint \fP"
.ti -1c
.RI "\fBmca_btl_llc_frag_t\fP * \fBendpoint_send_frag\fP"
.br
.RI "\fIcurrent send frag being processed \fP"
.ti -1c
.RI "\fBmca_btl_llc_frag_t\fP * \fBendpoint_recv_frag\fP"
.br
.RI "\fIcurrent recv frag being processed \fP"
.ti -1c
.RI "mca_btl_llc_state_t \fBendpoint_state\fP"
.br
.RI "\fIcurrent state of the connection \fP"
.ti -1c
.RI "size_t \fBendpoint_retries\fP"
.br
.RI "\fInumber of connection retries attempted \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBendpoint_frags\fP"
.br
.RI "\fIlist of pending frags to send \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBendpoint_send_lock\fP"
.br
.RI "\fIlock for concurrent access to endpoint state \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBendpoint_recv_lock\fP"
.br
.RI "\fIlock for concurrent access to endpoint state \fP"
.ti -1c
.RI "opal_event_t \fBendpoint_send_event\fP"
.br
.RI "\fIevent for async processing of send frags \fP"
.ti -1c
.RI "opal_event_t \fBendpoint_recv_event\fP"
.br
.RI "\fIevent for async processing of recv frags \fP"
.ti -1c
.RI "bool \fBendpoint_nbo\fP"
.br
.RI "\fIconvert headers to network byte order? \fP"
.ti -1c
.RI "\fBmca_btl_mvapi_module_t\fP * \fBendpoint_btl\fP"
.br
.RI "\fIBTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_btl_mvapi_proc_t\fP * \fBendpoint_proc\fP"
.br
.RI "\fIproc structure corresponding to endpoint \fP"
.ti -1c
.RI "mca_btl_mvapi_endpoint_state_t \fBendpoint_state\fP"
.br
.RI "\fIcurrent state of the connection \fP"
.ti -1c
.RI "double \fBendpoint_tstamp\fP"
.br
.RI "\fItimestamp of when the first connection was attempted \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBendpoint_lock\fP"
.br
.RI "\fIlock for concurrent access to endpoint state \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpending_send_frags\fP"
.br
.RI "\fIlist of pending send frags for this endpotint \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpending_frags_hp\fP"
.br
.RI "\fIlist of pending high priority frags \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpending_frags_lp\fP"
.br
.RI "\fIlist of pending low priority frags \fP"
.ti -1c
.RI "mca_btl_mvapi_rem_info_t \fBrem_info\fP"
.br
.ti -1c
.RI "VAPI_qp_hndl_t \fBlcl_qp_hndl_hp\fP"
.br
.ti -1c
.RI "VAPI_qp_hndl_t \fBlcl_qp_hndl_lp\fP"
.br
.ti -1c
.RI "VAPI_qp_prop_t \fBlcl_qp_prop_hp\fP"
.br
.ti -1c
.RI "VAPI_qp_prop_t \fBlcl_qp_prop_lp\fP"
.br
.ti -1c
.RI "int32_t \fBsd_tokens_hp\fP"
.br
.RI "\fInumber of high priority send tokens \fP"
.ti -1c
.RI "int32_t \fBsd_tokens_lp\fP"
.br
.RI "\fInumber of low priority send tokens \fP"
.ti -1c
.RI "int32_t \fBget_tokens\fP"
.br
.RI "\fInumber of available get tokens \fP"
.ti -1c
.RI "int32_t \fBrd_posted_hp\fP"
.br
.RI "\fInumber of high priority descriptors posted to the nic \fP"
.ti -1c
.RI "int32_t \fBrd_posted_lp\fP"
.br
.RI "\fInumber of low priority descriptors posted to the nic \fP"
.ti -1c
.RI "int32_t \fBrd_credits_hp\fP"
.br
.RI "\fInumber of high priority credits to return to peer \fP"
.ti -1c
.RI "int32_t \fBrd_credits_lp\fP"
.br
.RI "\fInumber of low priority credits to return to peer \fP"
.ti -1c
.RI "uint32_t \fBsubnet\fP"
.br
.ti -1c
.RI "\fBmca_btl_mx_module_t\fP * \fBendpoint_btl\fP"
.br
.RI "\fIBTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_btl_mx_proc_t\fP * \fBendpoint_proc\fP"
.br
.RI "\fIproc structure corresponding to endpoint \fP"
.ti -1c
.RI "\fBmca_btl_mx_addr_t\fP \fBmx_peer\fP"
.br
.ti -1c
.RI "mx_endpoint_addr_t \fBmx_peer_addr\fP"
.br
.RI "\fIthe address as reported by the peer \fP"
.ti -1c
.RI "\fBmca_btl_openib_module_t\fP * \fBendpoint_btl\fP"
.br
.RI "\fIBTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_btl_openib_proc_t\fP * \fBendpoint_proc\fP"
.br
.RI "\fIproc structure corresponding to endpoint \fP"
.ti -1c
.RI "mca_btl_openib_endpoint_state_t \fBendpoint_state\fP"
.br
.RI "\fIcurrent state of the connection \fP"
.ti -1c
.RI "mca_btl_openib_rem_info_t \fBrem_info\fP"
.br
.ti -1c
.RI "uint32_t \fBlcl_psn_hp\fP"
.br
.ti -1c
.RI "uint32_t \fBlcl_psn_lp\fP"
.br
.ti -1c
.RI "ibv_qp * \fBlcl_qp_hp\fP"
.br
.ti -1c
.RI "ibv_qp * \fBlcl_qp_lp\fP"
.br
.ti -1c
.RI "ibv_qp_attr * \fBlcl_qp_attr_hp\fP"
.br
.ti -1c
.RI "ibv_qp_attr * \fBlcl_qp_attr_lp\fP"
.br
.ti -1c
.RI "uint16_t \fBsubnet\fP"
.br
.RI "\fIsubnet of this endpoint \fP"
.ti -1c
.RI "int \fBmy_smp_rank\fP"
.br
.RI "\fIMy SMP process rank. \fP"
.ti -1c
.RI "int \fBpeer_smp_rank\fP"
.br
.RI "\fIMy peer's SMP process rank. \fP"
.ti -1c
.RI "\fBmca_btl_tcp_module_t\fP * \fBendpoint_btl\fP"
.br
.RI "\fIBTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_btl_tcp_proc_t\fP * \fBendpoint_proc\fP"
.br
.RI "\fIproc structure corresponding to endpoint \fP"
.ti -1c
.RI "\fBmca_btl_tcp_addr_t\fP * \fBendpoint_addr\fP"
.br
.RI "\fIaddress of endpoint \fP"
.ti -1c
.RI "\fBmca_btl_tcp_frag_t\fP * \fBendpoint_send_frag\fP"
.br
.RI "\fIcurrent send frag being processed \fP"
.ti -1c
.RI "\fBmca_btl_tcp_frag_t\fP * \fBendpoint_recv_frag\fP"
.br
.RI "\fIcurrent recv frag being processed \fP"
.ti -1c
.RI "mca_btl_tcp_state_t \fBendpoint_state\fP"
.br
.RI "\fIcurrent state of the connection \fP"
.in -1c
.SH "Detailed Description"
.PP 
An abstraction that represents a connection to a endpoint process. 

An instance of mca_btl_base_endpoint_t is associated w/ each process and BTL pair at startup. However, connections to the endpoint are established dynamically on an as-needed basis: 
.PP
.SH "Field Documentation"
.PP 
.SS "int \fBmca_btl_base_endpoint_t::my_smp_rank\fP"
.PP
My SMP process rank. 
.PP
Used for accessing SMP specfic data structures. 
.SS "int \fBmca_btl_base_endpoint_t::peer_smp_rank\fP"
.PP
My peer's SMP process rank. 
.PP
Used for accessing SMP specfic data structures. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
